#
# config.mk
# Löwenware Makefile Config, 2019-03-02 17:35
#

PREFIX = /usr/
PKG_CONFIG = pkg-config

PROJECT_NAME = arcd

# Version

PROJECT_VERSION_MAJOR = 1
PROJECT_VERSION_MINOR = 0
PROJECT_VERSION_TWEAK = 0
PROJECT_VERSION_LABEL = 0

# Override default paths
#SRC_DIR = src
#SDK_DIR = sdk
#OUT_DIR = ./build


# Source files

PROJECT_SOURCES := \
  $(SRC_DIR)/main.c \
  $(SRC_DIR)/observer.c \
  $(SRC_DIR)/agent.c \
  \
  $(CSTUFF_DIR)/log.c \
  $(CSTUFF_DIR)/string.c \
  $(CSTUFF_DIR)/list.c \
  $(CSTUFF_DIR)/file.c \
  \
  $(SDK_DIR)/components/query.c \
  $(SDK_DIR)/components/quick.c \
  $(SDK_DIR)/components/validate.c \
  $(SDK_DIR)/components/mail.c \
  $(SDK_DIR)/components/log.c \
  $(SDK_DIR)/components/todo.c \
  \
  $(SDK_DIR)/mods/context.c \
  $(SDK_DIR)/mods/module.c \



# includes
PROJECT_INCLUDES = \
  -I./ \
  -I./$(SDK_DIR) \
  `$(PKG_CONFIG) --cflags libaisl` \
  `$(PKG_CONFIG) --cflags libcurl` \
  `$(PKG_CONFIG) --cflags uuid` \

# libraries
PROJECT_LIBRARIES = \
  `$(PKG_CONFIG) --libs libaisl` \
  `$(PKG_CONFIG) --libs libcurl` \
  `$(PKG_CONFIG) --libs uuid` \
	-lpthread \

# compilation macro options:

# flags
PROJECT_CFLAGS  = -D_POSIX_C_SOURCE=200809L
PROJECT_CFLAGS += -D_ISOC99_SOURCE
PROJECT_CFLAGS += -D_XOPEN_SOURCE=500
PROJECT_CFLAGS += -D_GNU_SOURCE
# PROJECT_CFLAGS += -DDEBUG


# PROJECT_LDFLAGS = -L


# vim:ft=make
#
